Name:		eekboard
Version:	0.0.5
Release:	1%{?dist}
Summary:	A Virtual Keyboard for GNOME 

Group:		Applications/System
License:	GPLv3+
URL:		http://ueno.github.com/eekboard/
Source0:	http://github.com/downloads/ueno/eekboard/eekboard-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	eekboard.sh
BuildRequires:	libfakekey-devel
BuildRequires:	libXtst-devel
BuildRequires:	clutter-gtk-devel
BuildRequires:	libxklavier-devel
BuildRequires:  GConf2-devel
BuildRequires:  libnotify-devel
BuildRequires:  at-spi-devel
%if (0%{?fedora} <= 13)
BuildRequires:	gir-repository-devel
%endif
BuildRequires:	intltool desktop-file-utils

Requires: eekboard-libs = %{version}-%{release}

%description
eekboard is a virtual keyboard software package which ships with a
standalone virtual keyboard application (eekboard), and a library to
create keyboard-like UI (libeek).

%package libs
Summary:	Runtime libraries for eekboard
Group:		System Environment/Libraries
License:	LGPLv2+

%description libs
This package contains the libraries for eekboard

%package devel
Summary:	Development tools for eekboard
Group:		Development/Libraries
License:	LGPLv2+ and GFDL

Requires:	vala
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk-doc

%description devel
This package contains the development tools for eekboard.

%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
mv $RPM_BUILD_ROOT%{_bindir}/eekboard $RPM_BUILD_ROOT%{_bindir}/eekboard.orig
install -p -m 755 %{SOURCE2} ${RPM_BUILD_ROOT}%{_bindir}/eekboard
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
%{SOURCE1}

%find_lang %{name}


%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/eekboard
%{_bindir}/eekboard.orig
%{_datadir}/applications/%{name}.desktop

%files libs
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libeek*.so.*
%{_libdir}/girepository-1.0/Eek*.typelib

%files devel
%defattr(-,root,root,-)
# LGPLv2+
%{_libdir}/libeek*.so
%{_includedir}/eek-0.1/
%{_datadir}/gir-1.0/Eek*.gir
%{_datadir}/vala/vapi/eek*.vapi
%{_libdir}/pkgconfig/eek*.pc
# GFDL
%{_datadir}/gtk-doc/html/*


%changelog
* Thu Aug 12 2010 Daiki Ueno <dueno@redhat.com> - 0.0.5-1
- new upstream release
- remove disable Clutter patch
- add a shell script wrapper for eekboard to disable Clutter

* Wed Jul 14 2010 Daiki Ueno <dueno@redhat.com> - 0.0.4-2
- apply a patch to disable Clutter by default (#611888)

* Thu Jul  1 2010 Daiki Ueno <dueno@redhat.com> - 0.0.4-1
- new upstream release
- merge -devel-docs to -devel

* Tue Jun 29 2010 Daiki Ueno <dueno@redhat.com> - 0.0.3-5
- pass "-p" to the install command called on "make install"
- fix directory ownership of %%{_includedir}/eek-1.0/

* Mon Jun 28 2010 Daiki Ueno <dueno@redhat.com> - 0.0.3-4
- don't add gir-repository-devel to BR when building on F-13 or earlier

* Mon Jun 28 2010 Daiki Ueno <dueno@redhat.com> - 0.0.3-3
- reduced the number of BR using dependency
- add gir-repository-devel to BR
- make eekboard-devel depend on vala
- fix directory ownership of %%{_includedir}/eek-1.0/eek/

* Thu Jun 24 2010 Daiki Ueno <dueno@redhat.com> - 0.0.3-2
- add libXtst-devel to BR

* Wed Jun 23 2010 Daiki Ueno <dueno@redhat.com> - 0.0.3-1
- new upstream release

* Wed Jun 23 2010 Daiki Ueno <dueno@redhat.com> - 0.0.2-2
- rename subpackages from libeek* to eekboard-libs*
- reduce the number of subpackages

* Tue Jun 22 2010 Daiki Ueno <dueno@redhat.com> - 0.0.2-1
- initial packaging for Fedora
